﻿body {
    font-family: "Arial", "Microsoft Jhenghei", sans-serif;
    /*font-family: 15px/15px ,Century Gothic, sans-serif;*/
}


/*讓圖銳利*/
img {
    image-rendering: -moz-crisp-edges;
    image-rendering: -o-crisp-edges;
    image-rendering: -webkit-optimize-contrast;
    image-rendering: crisp-edges;
    -ms-interpolation-mode: nearest-neighbor;
}

.mypointer{
    cursor:pointer;
}

/* Set padding to keep content from hitting the edges */
/*.body-content {
    padding-left: 15px;
    padding-right: 15px;
}*/
/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
/*.dl-horizontal dt {
    white-space: normal;
}*/
/* Set width on the form input elements since they're 100% wide by default */
/*input,
select,
textarea {
    max-width: 280px;
}*/
.accordion-border-0 .accordion-button {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    padding: 0.625rem 1.25rem;
    /*padding: 0.375rem 0rem;*/
    font-size: 1rem;
    color: #373f50;
    background-color: transparent;
    border: 0px solid #ebe1dd;
    border-radius: 0;
    overflow-anchor: none;
    transition: color 0.25s ease-in-out, background-color 0.25s ease-in-out, border-color 0.25s ease-in-out, box-shadow 0.2s ease-in-out, border-radius 0.15s ease;
}

@media (prefers-reduced-motion: reduce) {
    .accordion-button {
        transition: none;
    }
}

.accordion-border-0 .accordion-button.collapsed {
    border-bottom-width: 0;
}

.accordion-border-0 .accordion-button:not(.collapsed) {
    color: #373f50;
    background-color: transparent;
}

    accordion-border-0 .accordion-button:not(.collapsed)::after {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23373f50'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
        transform: rotate(180deg);
    }

.accordion-border-0 .accordion-button::after {
    flex-shrink: 0;
    width: 1rem;
    height: 1rem;
    margin-left: auto;
    content: "";
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23373f50'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-size: 1rem;
    transition: transform 0.2s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
    .accordion-border-0 .accordion-button::after {
        transition: none;
    }
}

.accordion-border-0 .accordion-button:hover {
    z-index: 2;
}

.accordion-border-0 .accordion-button:focus {
    z-index: 3;
    border-color: #ebe1dd;
    outline: 0;
    box-shadow: unset;
}

.accordion-border-0 .accordion-header {
    margin-bottom: 0;
}

.accordion-border-0 .accordion-item:first-of-type .accordion-button {
    border-top-left-radius: 0.4375rem;
    border-top-right-radius: 0.4375rem;
}

.accordion-border-0 .accordion-item:last-of-type .accordion-button.collapsed {
    /*border-bottom-width: 1px;*/
    border-bottom-width: 0px;
    border-bottom-right-radius: 0.4375rem;
    border-bottom-left-radius: 0.4375rem;
}

.accordion-border-0 .accordion-item:last-of-type .accordion-collapse {
    /*border-bottom-width: 1px;*/
    border-bottom-width: 0px;
    border-bottom-right-radius: 0.4375rem;
    border-bottom-left-radius: 0.4375rem;
}

.accordion-border-0 .accordion-collapse {
    border: solid #ebe1dd;
    /*border-width: 0 1px;*/
    border-width: 0 0px;
}

.accordion-border-0 .accordion-body {
    padding: 1.25rem 1.25rem;
}

.accordion-border-0 .accordion-flush .accordion-button {
    border-right: 0;
    border-left: 0;
    border-radius: 0;
}

.accordion-border-0 .accordion-flush .accordion-collapse {
    border-width: 0;
}

.accordion-border-0 .accordion-flush .accordion-item:first-of-type .accordion-button {
    border-top-width: 0;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.accordion-border-0 .accordion-flush .accordion-item:last-of-type .accordion-button.collapsed {
    border-bottom-width: 0;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

/*首頁大圖輪播圖片外框*/
.my-banner-height{
    min-height: 140px;
    height: 140px;
    max-width: 100%;       
}

/*首頁精選課程圖片外框*/
.my-sp-course-height{
    /* max-width:285px; */
    height:123px;
}

/*課程大類CourseCategory頁面輪播圖片外框*/
.my-course-category-height {
    /* max-width:285px; */
    height: 97px;
    /*min-height: 97px;*/
}


@media (min-width: 768px){
    .my-banner-height{
        min-height: 274px;
        height: 274px; 
        max-width: 100%;       
    }
    .my-sp-course-height{
        max-width:285px;
        height:95px;
    }

    .my-course-category-height {
        width: 100%;
        height: 76px;       
    }

}
@media (min-width: 840px){
    
    .my-sp-course-height{
        max-width:100%;
        height:87px;
    }
    .my-course-category-height {
        width: 100%;
        height: 91px;
    }
}
@media (min-width: 992px){
    .my-banner-height{
        min-height: 357px;
        height: 357px; 
        max-width: 100%;              
    }
    .my-sp-course-height{
        min-width:285px;
        max-width: 100%;                      
        height:171px;        
    }
    .my-course-category-height {
        min-width: 285px;
        max-width: 100%;
        height: 159px;
    }

}

@media (min-width: 1180px){
    .my-sp-course-height{
        min-width:285px;
        max-width: 100%;
        height: 129px;
    }
    .my-course-category-height {
        height: 123px;
    }
}

@media (min-width: 1280px){
    .my-banner-height{
        min-height: 442px;
        height: 442px;
        max-width: 1260px;
    }
    .my-sp-course-height{
        max-width:285px;
        height:102px;
    }
    .my-course-category-height {
        height: 132px;
    }
}
@media (min-width: 1400px){
    .my-banner-height{
        min-height: 442px;
        height: 442px;
        max-width: 1260px;
    }
    .my-sp-course-height{
        max-width:285px;
        height:102px;
    }
    .my-course-category-height {
        height: 132px;
    }
}